> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All Terminals



## OpenAPI

````yaml openapi.json get /terminal/agent
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /terminal/agent:
    parameters: []
    get:
      tags:
        - Branches
        - Virtual Terminal
        - Agent Operations
      summary: All Terminals
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '20'
          schema:
            type: integer
        - name: name
          in: query
          required: false
          example: Lambe 01
          schema:
            type: string
        - name: storeId
          in: query
          required: false
          example: 9ab67f41-10c9-4f52-adfc-31f460980966
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '526'
            ETag:
              schema:
                type: string
              example: W/"20e-4ST5jjyraXeghsKU/f5CS3oojRI"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 08 Jan 2025 13:06:42 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: All Terminals - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        code:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        store:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            code:
                              type: string
                        activeAgent:
                          nullable: true
              example:
                status: true
                message: Operation is successful
                data:
                  - id: 28cc1855-2ff4-4a40-9df2-32aefb06eada
                    name: Lambe 01
                    code: Terminal 2
                    createdAt: '2024-12-27T15:20:45.828Z'
                    store:
                      id: 9ab67f41-10c9-4f52-adfc-31f460980966
                      name: Lambe Shop
                      code: Store 3
                    activeAgent: null
                  - id: 00319ac9-ab60-48be-9604-fc62004b0f55
                    name: Lambe 01
                    code: Terminal 1
                    createdAt: '2024-12-27T14:38:18.534Z'
                    store:
                      id: 9ab67f41-10c9-4f52-adfc-31f460980966
                      name: Lambe Shop
                      code: Store 3
                    activeAgent:
                      id: 5231edc7-95be-4913-8102-32400fe8b45b
                      firstName: Janet
                      lastName: Richard
                      email: richard.janet@yopmail.com
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````